Bug 488472 - glibc-static should be multilib
glibc-static should be multilib
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 09:53 EST by Jan Kratochvil
Modified: 2014-03-16 23:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 14:55:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2009-03-04 09:53:49 EST
Description of problem:
With F-11 the new subpackage `glibc-static' should be multilib the same way as is currently `glibc-devel'.

Version-Release number of selected component (if applicable):
glibc-static-2.9.90-8.1

How reproducible:
Always.

Steps to Reproduce:
yum install /usr/lib/libc.a

Actual results:
No package /usr/lib/libc.a available.

Expected results:
Installed glibc-static-2.9.90-8.1.i586.

Additional info:
* Wed Feb 18 2009 Jakub Jelinek <jakub@redhat.com> 2.9.90-7
- split static libraries into glibc-static subpackage
Comment 1 Bill Nottingham 2009-03-04 10:34:38 EST
Hm, we don't do this for any other -static packages. But I could see glibc being a special case.
Comment 2 Bug Zapper 2009-06-09 07:51:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bill Nottingham 2010-01-20 14:55:17 EST
On further thought, considering how much we try and avoid supporting static binaries, I'm not sure we need to do this for now.
Comment 4 Jakub Jelinek 2010-01-20 15:01:35 EST
I admit I needed a few times to grab by hand glibc-static of the other arch, e.g. to test 32-bit prelink on x86_64 box.  But it wasn't just glibc-static, but also elfutils-libelf-devel-static, libselinux-static, etc.

Note You need to log in before you can comment on or make changes to this bug.